.blog-faq {
  padding-top: 40px;
  padding-bottom: 40px;
}

.blog-faq-title {
  margin: 0 0 24px;
  font-family: Satoshi, sans-serif;
  font-size: 36px;
  font-style: normal;
  font-weight: 700;
  line-height: 1.2;
  color: #F0F3FA;
}

.blog-faq-accordion {
  display: flex;
  flex-direction: column;
  gap: 2px;
}

.blog-faq-accordion-item-wrapper {
  overflow: hidden;
  border-radius: 2px;
}

.blog-faq-accordion-item-wrapper:first-child {
  border-radius: 12px 12px 2px 2px;
}

.blog-faq-accordion-item-wrapper:last-of-type {
  border-radius: 2px 2px 12px 12px;
}

.blog-faq-accordion-item {
  overflow: hidden;
}

.blog-faq-accordion-item[open]:last-of-type {
  border-radius: 2px;
}

.blog-faq-accordion-item-wrapper:has(.blog-faq-accordion-item[open]):last-of-type {
  border-radius: 2px;
}

.blog-faq-accordion-summary {
  position: relative;
  padding: 24px 90px 24px 24px;
  list-style: none;
  cursor: pointer;
  background: var(--e-global-opacity-black-064);
  backdrop-filter: blur(60px);
  transition-duration: 0.3s;
}

.blog-faq-accordion-title {
  margin: 0;
  font-family: Satoshi, sans-serif;
  font-size: 24px;
  font-style: normal;
  font-weight: 500;
  line-height: 1.2;
  color: var(--e-global-brand-white);
}

.blog-faq-accordion-content {
  display: grid;
  grid-template-rows: 0fr;
  padding: 0 24px;
  transition-duration: 0.3s;
}

.blog-faq-accordion-content-body {
  overflow: hidden;
}

.blog-faq-accordion-text {
  display: flex;
  flex-direction: column;
  gap: 12px;
  margin: 0;
  font-size: 18px;
  font-style: normal;
  font-weight: 400;
  line-height: 28px;
  color: rgba(240, 243, 250, 0.8);
}

.blog-faq-accordion-text p {
  margin: 0;
}

.blog-faq-accordion-text strong {
  font-weight: 700;
  color: var(--e-global-brand-white);
}

.blog-faq-accordion-text a {
  color: var(--e-global-color-brand);
  text-decoration: none;
}

.blog-faq-accordion-item[open] + .blog-faq-accordion-content {
  grid-template-rows: 1fr;
  padding: 24px;
  background-color: var(--e-global-opacity-black-080);
}

.blog-faq-accordion-item[open] + .blog-faq-accordion-content:last-of-type {
  border-radius: 2px 2px 12px 12px;
}

.blog-faq-accordion-item[open] .blog-faq-accordion-summary {
  background-color: var(--e-global-opacity-black-080);
}

.blog-faq-accordion-summary::marker {
  content: none;
}

.blog-faq-accordion-summary::-webkit-details-marker {
  display: none;
}

.blog-faq-accordion-summary:after {
  position: absolute;
  top: 50%;
  right: 24px;
  display: grid;
  place-items: center;
  width: 50px;
  height: 50px;
  content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' viewBox='0 0 16 16' fill='none'%3E%3Cpath d='M8 15V1M15 8H1' stroke='%2301040A' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E");
  background-color: var(--e-global-brand-white);
  border-radius: 50%;
  transition: transform 0.3s ease;
  transform: translateY(-50%);
}

.blog-faq-accordion-item[open] .blog-faq-accordion-summary:after {
  content: '';
  background-color: rgba(240, 243, 250, 0.08);
}

.blog-faq-accordion-item[open] .blog-faq-accordion-summary:before {
  position: absolute;
  top: 50%;
  right: 41px; /* Adjust according to 50px circle and 16px line: (24 + (50-16)/2) or similar */
  width: 16px;
  height: 2px;
  content: '';
  background-color: var(--e-global-brand-white);
}


@media screen and (max-width:1360px) {
  .blog-faq-title {
    font-size: clamp(32px, 2vw + 20px, 36px);
  }

  .blog-faq-accordion-title {
    font-size: clamp(20px, 0.8vw + 14px, 24px);
  }
}

@media screen and (max-width:560px) {
  .blog-faq-title {
    margin: 0 0 18px;
    font-size: 32px;
  }

  .blog-faq-accordion-title {
    font-size: 20px;
  }
}
